var ItemAttributesFormView = Backbone.View.extend({
    initialize: function (options) {
        this.options = options;
        this.template = _.template(options.template);
        this.model = options.model;
        this.isNew = options.isNew;
    },

    render: function () {
        var that = this;
        this.$el.detach();
        this.$el.html(this.template({
            itemAttributes: this.model.toJSON(),
            addAttribute: this.addAttribute,
            removeAttribute: this.removeAttribute,
            isNew: this.isNew
        }));
        // $(document).ready(function() {
        //     M.textareaAutoResize($('#itemAttributes'));
        //     $('.tooltipped').tooltip();
        // });
        return this;
    },
});